# ifndef CWRITE_SEARCH_H
   # define CWRITE_SEARCH_H

   # define SEARCH_CONST
   #  ifdef SEARCH_CONST
      # define SEARCH_LOCATE  0x01
      # define SEARCH_FIND    0x02
      # define SEARCH_REPLACE 0x04
   
      # define SEARCH_START     0x01
      # define SEARCH_CONTINUE  0x02
   # endif
   
   extern int search_mode;
   extern int search_submode;
   
   extern char * _find_str;
   extern char * _replace_str;

   extern void search_init();
   extern int search_execute();
# endif
