# ifndef CWRITE_BOOKMARK_H
   # define CWRITE_BOOKMARK_H

   # include "datachains.h"

   # define BOOKMARK_CARDINAL 9

   struct Bookmark
     { bool status;
       Datachain * _datachain;
       int dataline_offset;
       int cursor_y;
       int cursor_x;
     };

   extern void bookmark_add();
   extern void bookmark_goto(int bookmark_id);
   extern void bookmark_clear();
   extern void bookmark_remove(Datachain * _datachain);

# endif
